OpenNMS API 1.2.9

## org.opennms.netmgt.filter.lexer
Class Lexer.State

    java.lang.Object
      org.opennms.netmgt.filter.lexer.Lexer.State

Enclosing class:
  Lexer

public static class Lexer.State
extends java.lang.Object

Field Summary
`private int` `id`
`static Lexer.State` `INITIAL`

Constructor Summary
`private` `Lexer.State(int id)`

Method Summary
`int` `id()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL

    public static final Lexer.State INITIAL

### id

    private int id

Constructor Detail

### Lexer.State

    private Lexer.State(int id)

Method Detail

### id

    public int id()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.